2016-11-25	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161122.

	[ Daniel Baumann ]
	* Renaming too generic internal getopt variables to avoid possible collisions in the future.
	* Minimizing included packages by default in debconf container create script.

2016-11-22	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161122.
	* Backward incompatible changes:
	  - renaming curl cache directory from /var/cache/container-tools/curl to /var/cache/container-tools/images.

	[ Daniel Baumann ]
	* Adding runtime detection for http2 option in curl create script.
	* Using curl with --fail option to abort in case of server/url errors.
	* Updating contact section in manpages.
	* Harmonizing manpage markup.
	* Adding --clean option to curl container create script to remove downloaded tarball from cache after successfull container creation.
	* Changing cache directory in curl create script from /var/cache/container-tools/curl to /var/cache/container-tools/images.
	* Using https by default in container-images.sh example script.
	* Adding sha512 verification to curl container create script.
	* Removing libui-dialog-perl from includes in debconf container create script.

2016-11-12	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161112.
	* Backward incompatible changes:
	  - removes support to create Debian 8 (jessie) container in debconf container create script.

	[ Daniel Baumann ]
	* Removing support for Debian 9 (jessie) in debconf container create script.
	* Adding shortcuts for container commands to bash-completion as well.
	* Ignoring symlinks as container commands in bash-completion.
	* Adding container version to ver symlink.
	* Updating development section in container-tools manpage.
	* Avoid repeating ipv4 address of the previous container in container list command.
	* Using fallback to ifupdown addresses in container list command for container not using networkd yet.
	* Fail to find container in remove command only when both the rootfs and the config are gone already.
	* Correcting syntax in usage message of container create scripts.
	* Adding initial curl container create script.

2016-11-05	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161105.
	* Backward incompatible changes:
	  - container use systemd-networkd instead of ifupdown.

	[ Daniel Baumann ]
	* Readding container rename command.
	* Readding -f|--force option in container stop command.
	* Readding container limit command.
	* Readding container enter command.
	* Removing empty line at the end of the changelog file.
	* Replacing README.txt with a copy of container-tools.7 manpage.
	* Installing README.txt into documentation directory.
	* Installing all generic text files as documentation.
	* Adding mandatory inclusion of /etc/network/interfaces.d files in host-setup documentation, thanks to Richard Nelson <unixabg@gmail.com>.
	* Using systemd-networkd in container instead of ifupdown.
	* Updating container list command to use systemd-networkd config instead of ifupdown.
	* Excluding symlinks in container-shell command list.
	* Adding container list to ls symlink.
	* Adding container remove to rm symlink.

2016-11-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20161101.

	[Daniel Baumann]
	* Changing installation of systemd support packages to workaround systemd-shim failures in debootstrap.
	* Correcting installation location for documentation in makefile.
	* Adding note about help for individual commands in container-shell program.
	* Using sudo in container-shell.
	* Setting LC_ALL in container-shell.
	* Switching from ftp.debian.org as default debian mirror to deb.debian.org in debconf script.
	* Removing obsolete configuration for broadcast in interfaces of debconf container create script.
	* Removing obsolete configuration for network in interfaces of debconf container create script.
	* Removing obsolete network configurations in host-setup documentation.
	* Switching default distribution to stretch in container create scripts.
	* Replacing support for Progress Linux 3 (cairon) with Progress Linux 4 (dschinn).
	* Automatically adding restricted archive areas for progress-linux extras repositories if non-free is enabled.
	* Updating progress-linux archive-key filenames.
	* Removing container enter command for LTS version.
	* Removing container limit command for LTS version.
	* Removing -f|--force option in container stop command for LTS version.
	* Removing container rename command for LTS version.
	* Correcting IP address in documentation of a network configuration example.
	* Updating known limitations in README file.
	* Updating known limitations in container-tools manpage.
	* Improving language of preseed question in debconf script.
	* Updating asciicast for container-tools version 20161101.

2016-08-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160801.

	[ Daniel Baumann ]
	* Adding commit messages to previous changelog.
	* Trimming usage example to basic commands only in readme file.
	* Trimming usage example to basic commands only in container-tools manpage.
	* Adding reference to container-status command in container manpage.
	* Updating name in container-status manpage.
	* Dropping lxc ignore in container list command.
	* Adding hooks directory for pre and post execution of container commands.

	[ Simon Spöhel ]
	* Changing container-status command to always show full output.

	[ Daniel Baumann ]
	* Adding host system based overlay mounts.
	* Adding error message in container start command if container is locked.
	* Adding -f, --force option to container start command to remove stray lock files.
	* Adding container-nsenter program for container enter command.
	* Calling container-nsenter program from container enter command.
	* Sorting container configuration file.
	* Adding support for user namespace.
	* Adding -v, --verbose option to container remove command.

2016-07-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160701.

	[ Daniel Baumann ]
	* Showing only local containers by default in container list command.
	* Adding container enter command.
	* Creating non-existing source directory for bind mounts automatically in container start command.
	* Harmonizing defintions of long and short options in getopt code of container commands.
	* Adding container rename command.
	* Updating references to bug tracking system.
	* Updating Git URL in installation instructions.

	[ Andreas Kreuzer ]
	* Fixing bash-completion.
	* Correcting container list manpage.
	* Adding bash-completion for container enter command.
	* Updating bash-completion for container list command.
	* Updating bash-completion for format parameter in container list command.
	* Updating bash-completion for container remove command.

	[ Daniel Baumann ]
	* Using tabs instead of spaces for indentation in container bash-completion.
	* Harmonizing head comments in container bash-completion.
	* Looking up container create scripts dynamically in container bash-completion.
	* Correcting local commands extraction in container bash-completion.
	* Correcting bind mount directory creation in container create command to work with multiple directories at once.
	* Correcting bind mount directory removal in container remove command to work with multiple directories at once.
	* Using global path definition in container create command for consistency.
	* Using global path definition in container version command for consistency.
	* Always writing cnt.auto= default values to configuration files in debconf container create script.
	* Adding asciicast introduction.
	* Updating depends to install in readme file.
	* Updating depends to install in container-tools manpage.
	* Adding section about known limitations to readme file.
	* Adding section about known limitations to container-tools manpage.
	* Creating machines directory in container create scripts if it's not already existing.

	[ Philipp Plüss ]
	* Correcting spelling typo in HOST-SETUP.txt.

	[ Simon Spöhel ]
	* Adding container-status command.

	[ Daniel Baumann ]
	* Adding bash-completion for container status command.

2016-06-15	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160615.

	[ Daniel Baumann ]
	* Adding documentation key in systemd unit files.
	* Correcting typo in readme.
	* Updating download links in readme.
	* Updating download links in container-tools manpage.
	* Correcting typo in container-tools manpage.
	* Updating vcs links in readme.
	* Updating vcs links in container-tools manpage.
	* Making makefile more generic.
	* Completing cleanup of directories in makefile uninstall target.
	* Silencing error message in container list command if machine directory is not readable.
	* Excluding container-tools and .container-tools in /var/lib/machines as special directories to allow all container-tools ressources to be places on shared storage.

	[ Andreas Kreuzer ]
	* Correcting limit manpage namespace.

	[ Daniel Baumann ]
	* Correcting container list command to list container without IP adresses.
	* Correcting aligning in container list command.
	* Showing local containers in container list command only.
	* Including apt-transport-https in default package selection of progress-linux container create script.
	* Including systemd-sysv in default package selection of progress-linux container create script to prevent pulling in systemd-shim and cgmanager.
	* Switching default entries for cdn.archive.progress-linux.org to HTTPS.
	* Using UTF-8 symbols for container status.

	[ Andreas Kreuzer ]
	* Adding bash-completion.

2016-06-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160601.
	* Backward incompatible changes:
	  - for consistency reasons, instead of any file only files
	    with .cfg suffix are accepted as preseed files in
	    /etc/container-tools/debconf.

	[ Daniel Baumann ]
	* Replacing http links in manpages with https.
	* Adding bind option to bind mount directories in debconf script.
	* Adding bind field in debconf cairon-backports example preseed file.
	* Mounting bind mounts for the duration of the debconf script.
	* Removing empty source directory of bind mounts in container stop command.
	* Using safety measures of rm when removing containers because of (potentially) active bind mounts.
	* Correcting cleanup of temporary debconf files in debconf script.
	* Guessing default container script from /usr/share/container-tools/scripts/default symlink (if existing).
	* Using .cfg suffix for preseed files of debconf script for consistency.
	* Adding auto option to set automatic start in debconf script.
	* Adding auto field in debconf cairon-backports example preseed file.

2016-05-15	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160515.
	* Backward incompatible changes:
	  - container network configuration in the [start] section for
	    multi-interface support:

	    old:	network-veth=yes
			network-bridge=br0

	    new:	cnt.network-bridge=veth-foo:br0
			network-veth-extra=veth-foo:eth0
			cnt.network-bridge=veth-bar:br1
			network-veth-extra=veth-bar:eth1

	  - default container network device switched from host0 to eth0.
	  - container start in background by default.
	  - container-autostart has been renamed to container-auto.
	  - container autostart configuration in the [start] section:

	    old:	cnt.autostart=true|FQDN
	    new:	cnt.auto=true|FQDN

	[ Nik Lutz ]
	* Fixing path argument of chmod for .container-command script in the debconf script.
	* Using systemd to cleanup network interfaces after the container has been stopped.
	* Using systemctl to start containers.
	* Swaping parsing order of NETWORK_VETH_EXTRA and NETWORK_BRIDGES.
	* Replacing systemd-nspawn '--network-bridge=' with one config file per interface in /etc/network/interfaces.d.
	* Using eth[0-9] instead of host[0-9] in containers /etc/network/interface.
	* Removing network interface configuration in /etc/network/interfaces.d after container stop.
	* Using systemd-nspawn '--network-veth-extra=' instead of '--network-veth' (prerequisite for multiple network interface support per container).
	* Adding veth name (cnt-debconf/network[0-9]/veth) configuration option to debconf script.

	[ Daniel Baumann ]
	* Adjusting output of additional IP addresses in container list command.
	* Correcting typo in debconf jessie example preseed file.
	* Adding veth field in debconf cairon-backports example preseed file.
	* Removing screen session handling in container-autostart program, containers start in background by default now.
	* Reworking container-autostart program into container auto command.

2016-05-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160501.

	[ Daniel Baumann ]
	* Correcting spelling error in changelog file.
	* Excluding snapshot directories for cephfs and netapp in container list command.
	* Adding short and full list format to container list command.
	* Adding exit alias for logout in container-shell program.
	* Correcting Debian stretch version number in container-tools manpage.
	* Correcting Debian stretch version number in readme file.
	* Adding links in development section of the container-tools manpage.
	* Adding links in development section of the readme file.

2016-04-15	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160415.
	* Backward incompatible changes:
	  - container stop command option -k|--kill renamed to -f|--force for consistency

	[ Daniel Baumann ]
	* Removing hardcoded container reference when opening manpages in container-shell help.
	* Using logout only to exit container-shell.
	* Adding start note about logout to container-shell.
	* Completing output of container-shell help command.
	* Avoid aborting container-shell help command if no manpage is available.
	* Adding container-shell about command.
	* Adding notes about container-shell specific commands in container-shell manpage.
	* Updating container-shell start message.
	* Overwriting existing symlinks in makefiles install target.
	* Adding extra empty line before each command output in container-shell.
	* Updating apt comandline in installation instructions.
	* Dropping unused syslog.target from container-autostart.service file.
	* Excluding lost+found directory in container list command.
	* Creating container program shortcut symlinks in makefile instead of keeping them in the sources.
	* Creating container script shortcut symlinks in makefile instead of keeping them in the sources.
	* Adding manpage symlinks for container script shortcut symlinks.
	* Renaming container stop command option -k, --kill to -f, --force for consistency.
	* Switching from httpredir.debian.org as default debian mirror to ftp.debian.org in debconf script.

2016-04-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160401.

	[ Daniel Baumann ]
	* Creating configuration directory.
	* Adding native ARM architecture support in container start command.
	* Adding container-shell program.
	* Adding container-autostart program.
	* Adding container limit command.
	* Adding capability and drop-capability config option.
	* Adding blockio, cpu, memory and tasks limit config options.
	* Adding debconf script.
	* Updating year in copyright notices in container commands.
	* Making removal message and answer handling of container remove command more userfriendly.
	* Adding documentation about host setup.
	* Correcting spelling in readme.
	* Adding notes about installation to readme file.
	* Adding notes about development to readme file.
	* Correcting spelling in container-tools manpage.
	* Updating comments in programs.
	* Updating comments in commands.
	* Updating comments in examples.
	* Updating comments in manpages.
	* Updating comments in scripts.
	* Updating comments in makefile.
	* Updating debconf title in debconf script.
	* Correcting spelling in container program manpages.
	* Adding notes about installation to container-tools manpage.
	* Adding notes about development to container-tools manpage.
	* Updating wording about Debian and Debian based containers in container-create-* manpages.
	* Updating wording about Debian and Debian based containers in jessie example file.
	* Updating container-tools description in readme file.
	* Updating container-tools description in manpages.

2016-03-01	Daniel Baumann <daniel.baumann@open-infrastructure.net>

	* Releasing version 20160301.
